// Any settings in this file may be overridden by any
// file in the mws.d directory.

// Change these to be whatever you like.
auth.defaultUser.username = "moab-admin"
auth.defaultUser.password = "changeme!"

// Moab Workload Manager configuration.
moab.secretKey = "<ENTER-KEY-HERE>"
moab.server = "localhost"
moab.port = 42559
moab.messageDigestAlgorithm = "SHA-1"

// MongoDB configuration.
// grails.mongo.username = "mws_user"
// grails.mongo.password = "<ENTER-KEY-HERE>"

// Insight configuration.
// insight.server = "localhost"
// insight.command.port = 5568
// insight.command.timeout.seconds = 5

// Message bus configuration.
moab.messageQueue.port = 5570
// moab.messageQueue.secretKey = "<ENTER-KEY-HERE>"
mws.messageQueue.address = "*"
mws.messageQueue.port = 5564

// Sample OAuth Configuration
grails.plugin.springsecurity.oauthProvider.clients = [
		[
				clientId            : "viewpoint",
				clientSecret        : "<ENTER-CLIENTSECRET-HERE>",
				authorizedGrantTypes: ["password"]
		]
]

// Sample LDAP Configurations

// Sample OpenLDAP Configuration
//ldap.server = "192.168.0.5"
//ldap.port = 389
//ldap.baseDNs = ["dc=acme,dc=com"]
//ldap.bindUser = "cn=Manager,dc=acme,dc=com"
//ldap.password = "*****"
//ldap.directory.type = "OpenLDAP Using InetOrgPerson Schema"

// Sample Active Directory Configuration
//ldap.server = "192.168.0.5"
//ldap.port = 389
//ldap.baseDNs = ["CN=Users,DC=acme,DC=com","OU=Europe,DC=acme,DC=com"]
//ldap.bindUser = "cn=Administrator,cn=Users,DC=acme,DC=com"
//ldap.password = "*****"
//ldap.directory.type = "Microsoft Active Directory"

log4j = {
	// Configure an appender for the events log.
	def eventAppender = new org.apache.log4j.rolling.RollingFileAppender(
			name: 'events', layout: pattern(conversionPattern: "%m%n"))
	def rollingPolicy = new org.apache.log4j.rolling.TimeBasedRollingPolicy(
			fileNamePattern: '/opt/mws/log/events.%d{yyyy-MM-dd}',
			activeFileName: '/opt/mws/log/events.log')
	rollingPolicy.activateOptions()
	eventAppender.setRollingPolicy(rollingPolicy)

	// Configure an appender for the audit log.
	def auditAppender = new org.apache.log4j.rolling.RollingFileAppender(
			name: 'audit',
			layout: new com.ace.mws.logging.ACPatternLayout("%j\t\t\t%c{1}\t\t\t%m%n"))
	def auditRollingPolicy = new org.apache.log4j.rolling.TimeBasedRollingPolicy(
			fileNamePattern: '/opt/mws/log/audit.%d{yyyy-MM-dd}',
			activeFileName: '/opt/mws/log/audit.log')
	auditRollingPolicy.activateOptions()
	auditAppender.setRollingPolicy(auditRollingPolicy)

	appenders {
		rollingFile name: 'stacktrace',
				file: '/opt/mws/log/stacktrace.log',
				maxFileSize: '100MB'
		rollingFile name: 'rootLog',
				file: '/opt/mws/log/mws.log',
				maxFileSize: '100MB', //The maximum file size for a single log file
				maxBackupIndex: 10, //Retain only the 10 most recent log files, delete older logs to save space
				layout: new com.ace.mws.logging.ACPatternLayout(), //Configures the output format of each log entry
				threshold: org.apache.log4j.Level.ERROR //Ignore any logging entries less verbose than this threshold

		appender eventAppender
		appender auditAppender
	}

	// NOTE: This definition is a catch-all for any logger not defined below
	root {
		error 'rootLog'
	}

	// Individual logger configurations
	debug 'com.ace.mws',
			'grails.app.conf.BootStrap',
			'grails.app.controllers.com.ace.mws',
			'grails.app.domain.com.ace.mws',
			'grails.app.filters.com.ace.mws',
			'grails.app.services.com.ace.mws',
			'grails.app.tagLib.com.ace.mws',
			'grails.app.jobs.com.ace.mws',
			'grails.app.gapiParsers',
			'grails.app.gapiRequests',
			'grails.app.gapiSerializers',
			'grails.app.translators',
			'plugins'	// MWS plugins

	info 'com.ace.mws.gapi.Connection',
			'com.ace.mws.gapi.parsers',
			'grails.app.service.grails.plugins.reloadconfig',
			'com.ace.mws.gapi.serializers'

	off 'org.codehaus.groovy.grails.web.errors'

	// Logs event information to the events log, not the rootLog
	trace additivity: false, events: 'com.ace.mws.events.EventFlatFileWriter'

	// Logs audit information to the audit log, not the rootLog
	trace additivity: false, audit: 'mws.audit'
}
